| Method | URI | Description |
|---|---|---|
| GET | /v2/{tenant_id}/os-quota-sets/{tenant_id}/{user_id} | Enables an admin user to show quotas for a specified tenant and user. |
Normal response codes: 200
This table shows the URI parameters for the show quotas for user request:
| Name | Type | Description |
|---|---|---|
| String | The ID for the tenant or project in a multi-tenancy cloud. |
| String | The ID for the tenant for which you want to show quotas. This ID is different from the first tenant ID that you specify in the URI: That ID is for the admin tenant. |
| String | The user ID. Specify in the
URI as a query string:
|
This operation does not require a request body.
Example 3.278. Show quotas for user response: JSON
{
"quota_set": {
"cores": 20,
"fixed_ips": -1,
"floating_ips": 10,
"id": "fake_tenant",
"injected_file_content_bytes": 10240,
"injected_file_path_bytes": 255,
"injected_files": 5,
"instances": 10,
"key_pairs": 100,
"metadata_items": 128,
"ram": 51200,
"security_group_rules": 20,
"security_groups": 10
}
}
Example 3.279. Show quotas for user response: XML
<?xml version='1.0' encoding='UTF-8'?> <quota_set id="fake_tenant"> <cores>20</cores> <fixed_ips>-1</fixed_ips> <floating_ips>10</floating_ips> <injected_file_content_bytes>10240</injected_file_content_bytes> <injected_file_path_bytes>255</injected_file_path_bytes> <injected_files>5</injected_files> <instances>10</instances> <key_pairs>100</key_pairs> <metadata_items>128</metadata_items> <ram>51200</ram> <security_group_rules>20</security_group_rules> <security_groups>10</security_groups> </quota_set>
This operation does not return a response body.

